server.port=8081

spring.datasource.url=jdbc:mysql://localhost:3306/birds?serverTimezone=Europe/Amsterdam
spring.datasource.driverClassName=com.mysql.cj.jdbc.Driver
spring.datasource.username=<your username>
spring.datasource.password=<your password>
spring.jpa.database_platform=org.hibernate.dialect.MySQL5InnoDBDialect

#NOT IN PRODUCTION. NICE IN DEVELOPMENT!!! 
#spring.jpa.hibernate.ddl-auto=create-drop = deleted DB after every restart and recreate, update = modify DB, none = do nothing
spring.jpa.hibernate.ddl-auto=create-drop

#please show the sql so I know what happens around here
spring.jpa.show-sql=true
spring.jpa.properties.hibernate.format_sql=true

#to prevent mysql/jpa timeout issue each hour (3600000 millis) please poll the DB
# not sure if this is still necessary but it was in september 2016
spring.datasource.testWhileIdle=true
spring.datasource.timeBetweenEvictionRunsMillis=3600000
spring.datasource.validationQuery=SELECT 1

